from __future__ import annotations
from typing import Any, Protocol, runtime_checkable

@runtime_checkable
class XUpdate(Protocol):
    def insertExtensionXcsFile(self, shared: bool, fileUri: str) -> None: ...
    def insertExtensionXcuFile(self, shared: bool, fileUri: str) -> None: ...
    def removeExtensionXcuFile(self, fileUri: str) -> None: ...
    def insertModificationXcuFile(self, fileUri: str, includedPaths: sequence< string >, excludedPaths: sequence< string >) -> None: ...
